summaryrefslogtreecommitdiff
path: root/TRNS
diff options
context:
space:
mode:
Diffstat (limited to 'TRNS')
-rwxr-xr-xTRNS/run-paper-strong-full.sh30
-rwxr-xr-xTRNS/run-paper-strong-rank.sh10
-rwxr-xr-xTRNS/run-paper-weak.sh13
-rwxr-xr-xTRNS/run-rank.sh32
-rwxr-xr-xTRNS/run.sh7
5 files changed, 82 insertions, 10 deletions
diff --git a/TRNS/run-paper-strong-full.sh b/TRNS/run-paper-strong-full.sh
new file mode 100755
index 0000000..9d3792c
--- /dev/null
+++ b/TRNS/run-paper-strong-full.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks TRNS strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# >2048 is not in upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ # upstream uses -p 2048, but then the number of DPUs is always constant...
+ timeout --foreground -k 1m 90m bin/host_code -w 0 -e 40 -p $nr_dpus -o 12288 -x 1 || true
+ fi
+ done
+done
+
+echo "Completed at $(date)"
+
+) | tee "log-$(hostname)-prim-strong-full.txt"
diff --git a/TRNS/run-paper-strong-rank.sh b/TRNS/run-paper-strong-rank.sh
index 43ed928..f5f00cb 100755
--- a/TRNS/run-paper-strong-rank.sh
+++ b/TRNS/run-paper-strong-rank.sh
@@ -10,12 +10,11 @@ set -e
(
-echo "prim-benchmarks BS strong-rank (dfatool edition)"
+echo "prim-benchmarks TRNS strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# >64 are not part of upstream
-for nr_dpus in 128 1 4 16 64; do
+for nr_dpus in 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
@@ -24,4 +23,7 @@ for nr_dpus in 128 1 4 16 64; do
fi
done
done
-)| tee log-paper-strong-rank.txt
+
+echo "Completed at $(date)"
+
+) | tee "log-$(hostname)-prim-strong-rank.txt"
diff --git a/TRNS/run-paper-weak.sh b/TRNS/run-paper-weak.sh
index 4d15543..f02d7d6 100755
--- a/TRNS/run-paper-weak.sh
+++ b/TRNS/run-paper-weak.sh
@@ -8,16 +8,21 @@ set -e
# -e: number of timed iterations
# -i; ignored, always uses 262144 elements
-echo "prim-benchmarks BS weak (dfatool edition)"
+(
+
+echo "prim-benchmarks TRNS weak (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream
-for nr_dpus in 256 512 1 4 16 64; do
+for nr_dpus in 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
- timeout --foreground -k 1m 60m bin/bs_host -w 0 -e 100 -p 1 -o 12288 -x 0 || true
+ timeout --foreground -k 1m 60m bin/host_code -w 0 -e 40 -p 1 -o 12288 -x 0 || true
fi
done
done | tee log-paper-weak.txt
+
+echo "Completed at $(date)"
+
+) | tee "log-$(hostname)-prim-weak.txt"
diff --git a/TRNS/run-rank.sh b/TRNS/run-rank.sh
new file mode 100755
index 0000000..00f6898
--- /dev/null
+++ b/TRNS/run-rank.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i: input size (number of elements, not number of bytes!)
+
+(
+
+echo "prim-benchmarks TRNS (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 1 4 8 16 32 48 64; do
+ for nr_tasklets in 8 12 16; do
+ # 12288 run-paper-weak, run-paper-strong-full
+ for i in 12288; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ # upstream uses -p 2048 in strong-full, but then the number of DPUs is always constant...
+ timeout --foreground -k 1m 90m bin/host_code -w 0 -e 40 -p 1 -o 12288 -x 0 || true
+ fi
+ done
+ done
+done
+
+echo "Completed at $(date)"
+
+) | tee "log-$(hostname)-rank.txt"
diff --git a/TRNS/run.sh b/TRNS/run.sh
index ef6f71e..8d574a9 100755
--- a/TRNS/run.sh
+++ b/TRNS/run.sh
@@ -14,8 +14,8 @@ echo "prim-benchmarks TRNS (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048; do
- for nr_tasklets in 8 12 16 20 24; do
+for nr_dpus in 2542 2304 1 4 8 16 32 64 128 256 512 768 1024 1536 2048; do
+ for nr_tasklets in 8 12 16; do
# 12288 run-paper-weak, run-paper-strong-full
for i in 12288; do
echo
@@ -26,4 +26,7 @@ for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048; do
done
done
done
+
+echo "Completed at $(date)"
+
) | tee "log-$(hostname).txt"